Last Comment Bug 332548 - Wrong renaming of double downloaded files
: Wrong renaming of double downloaded files
Status: RESOLVED WORKSFORME
:
Product: Core Graveyard
Classification: Graveyard
Component: File Handling (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://bonsai.mozilla.org/cvsblame.cg...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-03 00:10 PDT by Giorgos Logiotatidis [:giorgos]
Modified: 2016-06-22 12:16 PDT (History)
6 users (show)
vladimir: blocking1.9-
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Giorgos Logiotatidis [:giorgos] 2006-04-03 00:10:48 PDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060124 Firefox/1.5.0.1
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060124 Firefox/1.5.0.1

Hi,
I downloaded a file with firefox named "test.tar.bz2". I directly open it with archive manager, do something and close archive manager. Firefox stores "test.tar.bz2" in /tmp . If I download again the same file, firefox renames it to "test.tar-1.bz2" which causes the archive manager to not recognize the "tar" archive type.

Reproducible: Always

Steps to Reproduce:
1. Download test.tar.bz2. Select direct open with archive manager
2. Do something and close archive manager
3. Download the same file again
4. There should be /tmp/test.tar.bz2 and /tmp/test.tar-1.bz2
Comment 1 Justin Kerk 2006-04-03 08:12:03 PDT
This should have been handled by the fix to bug 231048, see https://bugzilla.mozilla.org/attachment.cgi?id=184636&action=diff

It WFM on WinXP at least, I get test.tar.bz2 and test(2).tar.bz2.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060331 Firefox/1.6a1 ID:2006033104
Comment 2 Giorgos Logiotatidis [:giorgos] 2006-04-06 02:19:33 PDT
I also get test.tar.gz and test(2).tar.gz if I choose to save the file to disk. If I directly open the file with an application I still get test.tar.gz and test.tar-1.gz
Comment 3 Philip Withnall (unavailable) 2006-04-07 15:28:51 PDT
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9a1) Gecko/20060407 Firefox/3.0a1 - Build ID: 0000000000
Confirming. Even with the patch to bug #231048 applied, this still happens.
Duping this to bug #231048, and bringing this up over there.

*** This bug has been marked as a duplicate of 231048 ***
Comment 4 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-04-07 15:48:21 PDT
ExecuteDesiredAction uses CreateUnique, which doesn't really handle those cases very well.
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-04-07 19:02:52 PDT
This might be a dupe, but I couldn't find it.
Comment 6 Giorgos Logiotatidis [:giorgos] 2012-04-30 00:33:30 PDT
Well, this is fixed now ;)

Thanks!

Note You need to log in before you can comment on or make changes to this bug.